Parselv1.0.0
Network

Create a container

Creates an active container at the given location for the given carrier. The operator must be assigned to the location, and the location must hand off to the carrier.

POST
/api/containers

Authorization

authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

Create container params

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://api.parsel.app/api/containers" \  -H "Content-Type: application/json" \  -d '{    "carrier": "UniUni",    "location_id": "550e8400-e29b-41d4-a716-446655440000"  }'
{
  "data": {
    "carrier": "UniUni",
    "created_at": {},
    "id": "550e8400-e29b-41d4-a716-446655440001",
    "load_id": null,
    "network_location_id": "550e8400-e29b-41d4-a716-446655440000",
    "status": "ACTIVE"
  }
}
{
  "errors": {
    "message": "The request is unauthorized",
    "status": "Unauthorized"
  }
}
{
  "errors": {
    "message": "This action requires the WRITE_SHIPMENTS scope",
    "required_scope": "WRITE_SHIPMENTS",
    "status": "Forbidden"
  }
}
{
  "errors": {
    "message": "The request could not be processed",
    "reasons": [
      {
        "carrier": "UniUni",
        "message": "Zip code not serviced.",
        "code": "zip_not_serviced"
      }
    ],
    "status": "Unprocessable Entity"
  }
}